Create registrations and grades for a single student for multiple units
Registers a profile on one or more units. If a unit is not yet on the student's transcript, it will be added automatically. If it is already on the transcript but unregistered, the student will be registered. The request body can include initial grade data alongside the registration.
Path Parameters
- Type: stringprofile
_id requiredUnique identifier of the profile.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/apis/registrations/profiles/{profile_id}/registrations
curl https://school.fullfabric.cloud/apis/registrations/profiles/507f1f77bcf86cd799439011/registrations \
--request POST \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
[
{
"additionalProperty": "anything"
}
]